Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.ejb.plugins
Class EntityMultiInstanceInterceptor

    java.lang.Object
      org.jboss.ejb.plugins.AbstractInterceptor
          org.jboss.ejb.plugins.EntityMultiInstanceInterceptor

All Implemented Interfaces:
  AllowedOperationsFlags, ContainerPlugin, Interceptor, org.jboss.system.Service

Deprecated. this interceptor was used with Instance Per Transaction containers which do not use a global cache but cache instances per transaction and always passivate instances at commit time (commit option C). This interceptor used org.jboss.ejb.TxEntityMap to compensate the absence of a real per transaction cache implementation. Now, the differences between IPT and standard container are:

- org.jboss.ejb.plugins.PerTxEntityInstanceCache as the cache implementation;
- NoLock as the locking policy;
- empty container-cache-conf element.

(alex@jboss.org) The instance interceptors role is to acquire a context representing the target object from the cache.

public class EntityMultiInstanceInterceptor
extends AbstractInterceptor

Version:
  $Revision: 1.18 $
Author:
  Bill Burke

Field Summary
`protected static Method` | `ejbTimeout` Deprecated. A reference to `TimedObject.ejbTimeout(javax.ejb.Timer)`.

Fields inherited from class org.jboss.ejb.plugins.AbstractInterceptor
`container, log, nextInterceptor`

Fields inherited from interface org.jboss.ejb.AllowedOperationsFlags
`IN_AFTER_BEGIN, IN_AFTER_COMPLETION, IN_BEFORE_COMPLETION, IN_BUSINESS_METHOD, IN_EJB_ACTIVATE, IN_EJB_CREATE, IN_EJB_FIND, IN_EJB_HOME, IN_EJB_LOAD, IN_EJB_PASSIVATE, IN_EJB_POST_CREATE, IN_EJB_REMOVE, IN_EJB_STORE, IN_EJB_TIMEOUT, IN_INTERCEPTOR_METHOD, IN_SERVICE_ENDPOINT_METHOD, IN_SET_ENTITY_CONTEXT, IN_SET_MESSAGE_DRIVEN_CONTEXT, IN_SET_SESSION_CONTEXT, IN_UNSET_ENTITY_CONTEXT, NOT_ALLOWED`

Constructor Summary
`EntityMultiInstanceInterceptor()` Deprecated.

Method Summary
`Object` | `invoke(Invocation mi)` Deprecated. ???
`Object` | `invokeHome(Invocation mi)` Deprecated. ???

Methods inherited from class org.jboss.ejb.plugins.AbstractInterceptor
`create, destroy, getContainer, getNext, setContainer, setNext, start, stop`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ejbTimeout

    protected static final Method ejbTimeout

  Deprecated.
  A reference to `TimedObject.ejbTimeout(javax.ejb.Timer)`.

Constructor Detail

### EntityMultiInstanceInterceptor

    public EntityMultiInstanceInterceptor()

  Deprecated.

Method Detail

### invokeHome

    public Object invokeHome(Invocation mi)
                      throws Exception

  Deprecated.
  Description copied from interface: `Interceptor`
  ???

  Specified by:
    `invokeHome` in interface `Interceptor`
  Overrides:
    `invokeHome` in class `AbstractInterceptor`
  Throws:
    `Exception`

### invoke

    public Object invoke(Invocation mi)
                  throws Exception

  Deprecated.
  Description copied from interface: `Interceptor`
  ???

  Specified by:
    `invoke` in interface `Interceptor`
  Overrides:
    `invoke` in class `AbstractInterceptor`
  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.